The Context Engine Studio is now open source.  View on GitHub →
Clinia
Graph

List nodes

Technical preview
GET
/v1/patients/{patientId}/graph/nodes/{type}/items

Returns a paginated list of nodes of one type from the patient context graph

Authorization

Bearer read
AuthorizationBearer <token>

Each operation lists the OAuth scope (read or write) it requires.

In: header

Scope: read

Path Parameters

patientId*string

ID of the patient

Match^[A-Za-z0-9._~:-]{1,128}$
type*string

Type of node to operate on.

Value in

  • "extracted_fact"
  • "fact"
  • "extracted_narrative"
  • "narrative_passage"
  • "narrative"
  • "learned_memory"
  • "extracted_clinical_event"

Query Parameters

page?|

Zero-indexed page of nodes to return. Defaults to 0.

Range0 <= value
Default0
perPage?integer

Number of nodes per page. Defaults to 100; maximum is 1000.

Range1 <= value <= 1000
Default100

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/patients/string/graph/nodes/extracted_fact/items"
{  "data": [    {      "type": "extracted_fact",      "id": "string",      "createdAt": "string",      "updatedAt": "string",      "payload": {        "display": "string",        "codes": [          {            "system": "string",            "code": "string",            "display": "string"          }        ],        "authoredAt": "string",        "type": "condition",        "effectivePeriod": {          "start": "string",          "end": "string"        },        "status": "active",        "assertedAt": "string",        "statusChangedAt": "string",        "source": {          "type": "fhir",          "origin": "string",          "ref": "string",          "recordedAt": "string",          "ingestedAt": "string"        },        "ingestionId": "string"      }    }  ],  "meta": {    "total": 0,    "page": 0,    "perPage": 0  }}